Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class SshToolsApplicationClientApplet

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  java.applet.Applet
                      javax.swing.JApplet
                          com.sshtools.common.ui.SshToolsApplicationApplet
                              com.sshtools.common.ui.SshToolsApplicationClientApplet

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable

public abstract class SshToolsApplicationClientApplet
extends SshToolsApplicationApplet

DOCUMENT ME!

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.sshtools.common.ui.SshToolsApplicationApplet
`SshToolsApplicationApplet.SshToolsApplicationAppletContainer`

Nested classes inherited from class javax.swing.JApplet
`javax.swing.JApplet.AccessibleJApplet`

Nested classes inherited from class java.applet.Applet
`java.applet.Applet.AccessibleApplet`

Nested classes inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected java.lang.String` | `authenticationMethod` DOCUMENT ME!
`static java.lang.String[][]` | `CLIENT_PARAMETER_INFO` DOCUMENT ME!
`protected boolean` | `connectImmediately` DOCUMENT ME!
`protected boolean` | `disableHostKeyVerification` DOCUMENT ME!
`protected java.lang.String` | `host` DOCUMENT ME!
`protected org.apache.commons.logging.Log` | `log` DOCUMENT ME!
`protected int` | `port` DOCUMENT ME!
`protected SshToolsConnectionProfile` | `profile` DOCUMENT ME!
`protected boolean` | `showConnectionDialog` DOCUMENT ME!
`protected java.lang.String` | `user` DOCUMENT ME!

Fields inherited from class com.sshtools.common.ui.SshToolsApplicationApplet
`applicationPanel, disabledActions, infoBackground, infoBorderColor, infoBorderThickness, infoForeground, loadingPanel, menuBar, PARAMETER_INFO, statusBar, toolBar, toolSeparator`

Fields inherited from class javax.swing.JApplet
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SshToolsApplicationClientApplet()`

Method Summary
`protected void` | `buildProfile()` DOCUMENT ME!
`void` | `destroy()` DOCUMENT ME!
`java.lang.String[][]` | `getParameterInfo()` DOCUMENT ME!
`void` | `initApplet()` DOCUMENT ME!
`void` | `startApplet()` DOCUMENT ME!

Methods inherited from class com.sshtools.common.ui.SshToolsApplicationApplet
`buildAppletComponent, createApplicationPanel, doAction, getParameter, init, seriousAppletError, setAppletComponent, start, stop`

Methods inherited from class javax.swing.JApplet
`addImpl, createRootPane, getAccessibleContext, getContentPane, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, remove, setContentPane, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.applet.Applet
`getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLIENT_PARAMETER_INFO

    public static final java.lang.String[][] CLIENT_PARAMETER_INFO

  DOCUMENT ME!

### log

    protected org.apache.commons.logging.Log log

  DOCUMENT ME!

### authenticationMethod

    protected java.lang.String authenticationMethod

  DOCUMENT ME!

### host

    protected java.lang.String host

  DOCUMENT ME!

### port

    protected int port

  DOCUMENT ME!

### user

    protected java.lang.String user

  DOCUMENT ME!

### connectImmediately

    protected boolean connectImmediately

  DOCUMENT ME!

### showConnectionDialog

    protected boolean showConnectionDialog

  DOCUMENT ME!

### disableHostKeyVerification

    protected boolean disableHostKeyVerification

  DOCUMENT ME!

### profile

    protected SshToolsConnectionProfile profile

  DOCUMENT ME!

Constructor Detail

### SshToolsApplicationClientApplet

    public SshToolsApplicationClientApplet()

Method Detail

### initApplet

    public void initApplet()
                    throws java.io.IOException

  DOCUMENT ME!

  Overrides:
    `initApplet` in class `SshToolsApplicationApplet`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### startApplet

    public void startApplet()

  DOCUMENT ME!

  Overrides:
    `startApplet` in class `SshToolsApplicationApplet`

### buildProfile

    protected void buildProfile()
                         throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### destroy

    public void destroy()

  DOCUMENT ME!

  Overrides:
    `destroy` in class `SshToolsApplicationApplet`

### getParameterInfo

    public java.lang.String[][] getParameterInfo()

  DOCUMENT ME!

  Overrides:
    `getParameterInfo` in class `SshToolsApplicationApplet`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD